Get account statements
curl --request GET \
--url https://{host}/bonus/v1/accounts/{externalId}/statements \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/bonus/v1/accounts/{externalId}/statements"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/bonus/v1/accounts/{externalId}/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"amount": 123,
"type": "<string>",
"typeDisplayName": "<string>",
"state": "Waiting",
"stateDisplayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"nextCursor": 123
}{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get account statements
Get account’s statements in descending order using the account’s externalId
GET
/
v1
/
accounts
/
{externalId}
/
statements
Get account statements
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
Account externalId
Maximum string length:
60Query Parameters
Items count to take
Required range:
1 <= x <= 2147483647Pointer to a specific item in the data set received from the previous request
Required range:
1 <= x <= 9223372036854776000Last modified on August 10, 2026